# ConversationMessages Object

> Source: https://truto.one/docs/api-reference/unified-crm-api/conversationmessages/

Schema for the `ConversationMessages` resource in **Unified CRM API**.

## Properties

- **`id`** _(string, required)_
  The message's unique identifier
- **`thread`** _(object)_
  The parent conversation thread
  - **`id`** _(string)_
    The unique identifier
- **`content`** _(string)_
  The message body/content
- **`direction`** _(string)_
  The message direction (inbound/outbound)
- **`channel`** _(string)_
  The channel the message was sent on
- **`sender_type`** _(string)_
  The type of sender (agent, visitor, bot, etc.)
- **`created_at`** _(string)_
  The date and time of the message's creation
- **`updated_at`** _(string)_
  The date and time of the message's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/crm/conversation_messages/{id}](/docs/api-reference/unified-crm-api/conversationmessages/get) — Get Conversation messages
- [POST /unified/crm/conversation_messages/get_original_content](/docs/api-reference/unified-crm-api/conversationmessages/get_original_content) — Get Original Content Conversation messages
- [GET /unified/crm/conversation_messages](/docs/api-reference/unified-crm-api/conversationmessages/list) — List Conversation messages
